From b5537a790658e164059f4cacf511119824cf2f52 Mon Sep 17 00:00:00 2001
From: Wang Ziming <wangziming.huawei.com>
Date: Wed, 1 Apr 2020 17:26:02 +0800
Subject: [PATCH 18/28] libvirt: create netfs pool in pre_pool function with
 correct command

When create netfs pool in pre_pool function, the command should be
"setsebool -P virt_use_fusefs on". An error is returned when using
command "setsebool virt_use_fusefs on": "Could not change active booleans:
Invalid boolean."

Signed-off-by: Wang Ziming <wangziming@huawei.com>
---
 virttest/utils_test/libvirt.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/virttest/utils_test/libvirt.py b/virttest/utils_test/libvirt.py
index 318073bd..5d8891b5 100644
--- a/virttest/utils_test/libvirt.py
+++ b/virttest/utils_test/libvirt.py
@@ -973,7 +973,7 @@ class PoolVolumeTest(object):
                 extra = "--source-host %s --source-path %s" % (hostip,
                                                                source_name)
                 extra += " --source-format %s" % source_format
-                process.system("setsebool virt_use_fusefs on")
+                process.system("setsebool -P virt_use_fusefs on")
             else:
                 nfs_server_dir = self.params.get(
                     "nfs_server_dir", "nfs-server")
-- 
2.23.0

